<?php
namespace Drupal\simplifying\Form;
class SettingsForm extends \Drupal\Core\Form\FormBase {
  public function getFormId() {
    return 'simplifying_settings_form';
  }
  public function buildForm(array $form, \Drupal\Core\Form\FormStateInterface $form_state) {
    $form_id = 'simplifying_settings_form_wrapper';
    $form['#prefix'] = '<div id="'.$form_id.'">';
    $form['#suffix'] = '</div>';

    $form['tabs'] = array(
      '#type' => 'vertical_tabs',
    );

    \Drupal::service('simplifying.toolbar')->FormFields($form, $form_state);
    \Drupal::service('simplifying.entity')->FormFields($form, $form_state);

    $form['actions']['#type'] = 'actions';
    $form['actions']['submit'] = [
      '#type'  => 'submit',
      '#value' => $this->t('Save', [], ['context' => 'simplifying']),
    ];
    return $form;
  }
  public function submitForm(array &$form, \Drupal\Core\Form\FormStateInterface $form_state) {
    $menu_links = $form_state->getValue('menu_links');
    $menu_links = array_filter($menu_links);
    \Drupal::service('simplifying.settings')->SetSettings('menu_links', array_keys($menu_links));

    $entity_fields = $form_state->getValue('entity_fields');
    $entity_fields = array_map('array_filter', $entity_fields);
    \Drupal::service('simplifying.settings')->SetSettings('entity_fields', $entity_fields);

    $toolbar_tabs = $form_state->getValue('toolbar_tabs');
    \Drupal::service('simplifying.settings')->SetSettings('toolbar_tabs', $toolbar_tabs);

    $design = $form_state->getValue('design');
    \Drupal::service('simplifying.settings')->SetSettings('design', $design);

    \Drupal::messenger()->addStatus($this->t('Settings saved successfully', [], ['context' => 'simplifying']));
  }
}